package com.iamberry.wechat.core.entity.drp;

import java.util.Date;

import javax.validation.constraints.Min;
import javax.validation.constraints.Pattern;

import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.iamberry.wechat.core.entity.PageBean;


/**
 * @description ：分销代理提现申请
 * @author 欧阳明
 * @date：2016-4-18
 */
public class PlaceWithDrawalsLogs implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -3366057605770079694L;
	private int id;             //主键
	private String openid;      //微信号
	private int placeId;         //分销的唯一标识
	@Min(value=100,message="提现金额必须大于100")
	private int withDrawalsNum;   //提现金额
	@NotBlank(message="提现人不能为空")
	private String withDrawalsName; //提现者姓名
	@Pattern(regexp="^[1][0-9]{10}$",message="手机号码不正确")
	private String tel ;               //提现号码
	
	private int status;          //状态1，申请中，2，申请完成，3，申请失败
	private Date createDate;
	private Date updateDate;
	
	@NotBlank(message="提现账户不能为空")
	private String accountNo ; //提现账户
	@NotBlank(message="提现支行不能为空")
	private String bankLocal ; //提现银行分局
	
	private String remark; //备注
	
	private PageBean page ; //分页的考虑
	
	private String  roleName; //分销商角色
	private String name ; //分销商昵称
	
	private String beginDate;   //查询条件开始时间
	private String endDate;     //查询条件结束时间

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public int getPlaceId() {
		return placeId;
	}
	public void setPlaceId(int placeId) {
		this.placeId = placeId;
	}
	public int getWithDrawalsNum() {
		return withDrawalsNum;
	}
	public void setWithDrawalsNum(int withDrawalsNum) {
		this.withDrawalsNum = withDrawalsNum;
	}
	public String getWithDrawalsName() {
		return withDrawalsName;
	}
	public void setWithDrawalsName(String withDrawalsName) {
		this.withDrawalsName = withDrawalsName;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
//	@JsonSerialize(using = JsonDateFormat.class) 
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	
	public String getAccountNo() {
		return accountNo;
	}
	public void setAccountNo(String accountNo) {
		this.accountNo = accountNo;
	}
	public String getBankLocal() {
		return bankLocal;
	}
	public void setBankLocal(String bankLocal) {
		this.bankLocal = bankLocal;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	
	

}
